vs code和node的相关使用 一一 bower 管理文件
博客专区 > noonoo 的博客 > 博客详情
vs code和node的相关使用 一一 bower 管理文件
noonoo 发表于2年前
vs code和node的相关使用 一一 bower 管理文件
  • 发表于 2年前
  • 阅读 51
  • 收藏 1
  • 点赞 0
  • 评论 0

腾讯云 技术升级10大核心产品年终让利>>>   

既然 d.ts文件已经用tsd命令行来管理了,这些项目引用的JS,UI 等也不想一个个的下载,然后复制到项目里了,

所以就安装一下bower来试试吧!

npm install -g bower

结果报错了,说是git问题,去官网查下说明:

Bower requires node, npm and git.

windows平台下,git 必须如下安装:

msysgit

好吧,我重装了一遍 git,就顺利通过了。

简单看下说明 :

# registered package 
$ bower install jquery 

# GitHub shorthand 
$ bower install desandro/masonry 

# Git endpoint 
$ bower install git://github.com/user/package.git 

# URL 
$ bower install http://example.com/script.js

这个install命令挺人性化的,可以从git 或js文件直接安装。  如果加上 --save ,还可以记录到bower.json中去。

然后bower同样支持:bower.json文件 以及 bower init 命令。

查找 包是Search 命令 ,还可以uninstall 


我使用时,遇到的问题是:我想安装layer ,这个包,但在bower上查不到,所以就转到layer的git上去下载。

但安装后,发现是layer 1.9.3 ,并不是layer 2.X .  

 原来默认的git 上, 默认Branch是1.9.3 ,我不知道如何切换成2.X的分支。幸好 几天后,在git上,作者把默认分支已经更改为2.X了。

另一个问题是安装toaster

所有的地址都是一样的,害的我下错了。



共有 人打赏支持
粉丝 13
博文 57
码字总数 28625
×
noonoo
如果觉得我的文章对您有用,请随意打赏。您的支持将鼓励我继续创作!
* 金额(元)
¥1 ¥5 ¥10 ¥20 其他金额
打赏人
留言
* 支付类型
微信扫码支付
打赏金额:
已支付成功
打赏金额: